console_title_template = '{{ .Shell }} in {{ .Folder }}'
version = 3
final_space = true

[palette]
  beige = '#f2cdcd'
  black = '#11111b'
  blue = '#89b4fa'
  cyan = '#74c7ec'
  gray = '#6c7086'
  green = '#a6e3a1'
  orange = '#fab387'
  red = '#f38ba8'
  white = '#cdd6f4'
  yellow = '#f9e2af'

[transient_prompt]
  template = ' '

[[blocks]]
  type = 'prompt'
  alignment = 'left'
  newline = true

  [[blocks.segments]]
    leading_diamond = ''
    trailing_diamond = ''
    template = '{{ path .Path .Location }} '
    foreground = 'p:black'
    background = 'p:beige'
    type = 'path'
    style = 'diamond'

    [blocks.segments.properties]
      cache_duration = 'none'
      style = 'agnoster_full'

      [blocks.segments.properties.mapped_locations]
        '~' = ''
        '~/Downloads' = '󰇚'
        '~/Workspace' = ' '
        '~/Workspace/AdventOfCode' = ' '
        '~/Workspace/Forgejo' = ''
        '~/Workspace/Learning' = '󰑴 '
        '~/Workspace/School' = ' '
        '~/Workspace/Userscripts' = '󰯁'

  [[blocks.segments]]
    leading_diamond = '<transparent,background></>'
    trailing_diamond = ''
    template = ' {{ if .UpstreamURL }}{{ .UpstreamIcon }}{{ end }}{{ .HEAD }}{{if .BranchStatus }} {{ .BranchStatus }}{{ end }}{{ if .Working.Changed }}  {{ .Working.String }}{{ end }}{{ if .Staging.Changed }}  {{ .Staging.String }}{{ end }} '
    foreground = 'p:black'
    background = 'p:green'
    type = 'git'
    style = 'diamond'
    background_templates = ['{{ if or (.Working.Changed) (.Staging.Changed) }}p:yellow{{ end }}', '{{ if and (gt .Ahead 0) (gt .Behind 0) }}p:red{{ end }}', '{{ if gt .Ahead 0 }}#49416D{{ end }}', '{{ if gt .Behind 0 }}#7A306C{{ end }}']

    [blocks.segments.properties]
      branch_max_length = 25
      cache_duration = 'none'
      fetch_status = true
      fetch_upstream_icon = true

  [[blocks.segments]]
    template = '  '
    foreground = 'p:white'
    powerline_symbol = '60°, 10'
    background = 'p:yellow'
    type = 'root'
    style = 'powerline'

    [blocks.segments.properties]
      cache_duration = 'none'

  [[blocks.segments]]
    leading_diamond = '<transparent,background></>'
    trailing_diamond = ''
    template = 'JS  '
    foreground = 'p:green'
    background = 'p:gray'
    type = 'node'
    style = 'diamond'

    [blocks.segments.properties]
      cache_duration = 'none'
      display_mode = 'files'
      fetch_package_manager = false
      home_enabled = false

  [[blocks.segments]]
    leading_diamond = '<transparent,background></>'
    trailing_diamond = ''
    template = 'Go  '
    foreground = 'p:cyan'
    background = 'p:gray'
    type = 'go'
    style = 'diamond'

    [blocks.segments.properties]
      cache_duration = 'none'
